%define desktop_file 1
%define desktop_file_utils_version 0.2.93
%define is_release 1
%define beta %{nil}
%define DATE 20020326
%define rel 1
Version: 3.0.3
%define sourcedir stable/%{version}/distribution/tar/generic/source
Name: kdetoys
Prefix: /usr
%if %{is_release}
%if "%{beta}" != ""
Release: 1.%{beta}.%{rel}
%else
Release: %{rel}
%endif
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}%{beta}.tar.bz2
%else
Release: 2.cvs%{DATE}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{DATE}.tar.bz2
%endif
Icon: kde-icon.xpm
Summary: K Desktop Environment - Toys and Amusements
Epoch: 7
Group: Amusements/Graphics
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs
BuildRequires: kdelibs-devel
BuildRequires: kdebase
BuildRequires: kdebase-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: qt-devel
%if %{desktop_file}
BuildRequires:desktop-file-utils >= %{desktop_file_utils_version}
%endif
License: GPL
Prereq: /sbin/ldconfig

%description
Toys for the K Desktop Environment.

Includes: kmoon (displays various phases of the moon); kworldwatch
(displays where in the world it is light and dark depending on time), and
kodo (a mouse odometer which shows how far your mouse has traveled).

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q
%else
%setup -q -n %{name}
%endif

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

%ifnarch alpha
CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
CXXFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-check-new" \
%else
CFLAGS="-D_GNU_SOURCE -O0" CXXFLAGS="-D_GNU_SOURCE -O0 -fno-check-new" \
%endif
./configure --prefix=%{prefix} --includedir=%{_includedir}/kde

make

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove kaphorism
rm -rf $RPM_BUILD_ROOT%{_bindir}/kaphorism \
	$RPM_BUILD_ROOT%{_datadir}/applnk/Toys/kaphorism.desktop \
	$RPM_BUILD_ROOT%{_datadir}/apps/kaphorism \

# Make symlinks relative
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
	[ -d $i -a -L $i/common ] && ln -nfs ../common $i/common
done
cd $RPM_BUILD_ROOT/usr/share/apps/amor && ln -nfs tips-en tips

# start desktop-file-install
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Toys;X-Red-Hat-Extra" \
   --delete-original \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Toys/kodo.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Toys/kworldclock.desktop

desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Toys;X-Red-Hat-Base" \
   --add-only-show-in KDE \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Toys/*.desktop
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/lib/kde3/*.so*
%{_datadir}/applications/*
%{prefix}/share/apps/amor
%{prefix}/share/apps/kdesktop/programs/*
%{prefix}/share/apps/kicker/applets/*
%{prefix}/share/apps/kmoon
%{prefix}/share/apps/kodo
%{prefix}/share/apps/ktux
%{prefix}/share/apps/kweather
%{prefix}/share/apps/kworldclock
%{prefix}/share/icons/hicolor/*/apps/*
%doc %{prefix}/share/doc/HTML/en/amor
%doc %{prefix}/share/doc/HTML/en/kmoon
%doc %{prefix}/share/doc/HTML/en/kodo
%doc %{prefix}/share/doc/HTML/en/kscore
%doc %{prefix}/share/doc/HTML/en/kteatime
%doc %{prefix}/share/doc/HTML/en/kweather
%doc %{prefix}/share/doc/HTML/en/kworldclock

%changelog
* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3
- desktop file issue

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- build using gcc-3.2-0.1

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 3.0.1-3
- Don't forcibly strip binaries

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rebuild

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Fix build in current environment

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Remove kaphorism, it's of no use and German only
- move AmorIface.h to /usr/include/kde

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  7 2002 Than Ngo <than@redhat.com> 3.0-0.cvs20020108.1
- update to CVS

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Mon Feb 05 2001 Than Ngo <than@redhat.com>
- updated
- fixed absolute-pathname symlinks (bug #24795)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to CVS 
- Don't exclude ia64

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final


* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdetoys-1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Mon Apr 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked docs files as such.

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- got 1.1.2 release.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- built for 6.1

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
